Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453459 - (RFE) Replace OSAD with Func
Summary: (RFE) Replace OSAD with Func
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Todd Warner
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space13
TreeView+ depends on / blocked
 
Reported: 2008-06-30 18:57 UTC by Michael DeHaan
Modified: 2012-11-02 09:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-24 15:08:05 UTC


Attachments (Terms of Use)

Description Michael DeHaan 2008-06-30 18:57:11 UTC
Func provides nearly all of the features of OSAD, plus the ability to be easily
expanded.   This is a RFE to investigate what is needed to replace OSAD with
Func so that every Satellite installed node can be addressed via Func.  

There is a corresponding Func Tracker here: 
https://fedorahosted.org/func/ticket/38 that has details

Already talked about this some with pradeep, we need to see about finishing Func
delegation support to support proxy/network details now, ssalesvan is working on
some of this.

Comment 2 Jan Pazdziora 2010-11-19 16:02:43 UTC
Mass-moving to space13.

Comment 3 Miroslav Suchý 2011-01-24 15:08:05 UTC
Func could not go behind NAT. Jabber can.
This will probably never happen.

Comment 4 Duncan Innes 2012-11-02 09:59:12 UTC
Can I just ask:  Will this probably never happen, or definitely never happen?

OSAD is still viewed as one of the weaker links in Spacewalk/Satellite and improving/replacing it should be seen as a clear target.

Just wondering.  If it's not possible to use Func, are there alternatives?


Note You need to log in before you can comment on or make changes to this bug.